Summary: A GNOME document preparation GUI for LaTeX.
Name: lahelper
Version: 0.6.2
Release: 1
Copyright: GPL
Group: Publishing
Source: lahelper-0.6.2-1.tgz
URL: http://lahelper.sourceforge.net

Requires: gnome-libs >= 1.2.0
Requires: sed
Requires: make
Requires: eog
Requires: bonobo
Requires: ImageMagick

%description
The lahelper program provides menus to access LaTeX formatting commands.  
It also contains button panels for the various symbols available in LaTeX 
(such as math symbols).  The LaTeX information is not hard coded into the
application.  The example commands and help text are in a separate XML file.

Install lahelper if you use LaTeX or would like to learn it by example.

%prep
%setup

%build
./bootstrap
./configure
make
strip src/lahelper

%install
make install

%pre
rm -fr /usr/doc/lahelper
rm -f  /usr/local/bin/lahelper
rm -f  /usr/local/bin/lahelper-mini-preview
rm -f  /usr/local/bin/sgmlhelper
rm -fr /usr/share/gnome/help/lahelper

%files
%defattr(-,root,root)

/usr/local/bin/lahelper
/usr/local/bin/sgmlhelper
/usr/local/bin/lahelper-cleanup
/usr/local/bin/lahelper-mini-preview
/usr/local/share/lahelper/latex.lah
/usr/local/share/lahelper/sgml-tools.lah
/usr/local/share/lahelper/my.lahelpertmp.tex
/usr/local/share/lahelper/article_template/X.Makefile
/usr/local/share/lahelper/article_template/X.tex
/usr/local/share/lahelper/book_template/X.Makefile
/usr/local/share/lahelper/book_template/X.tex
/usr/local/share/lahelper/letter_template/X.Makefile
/usr/local/share/lahelper/letter_template/X.tex
/usr/local/share/lahelper/report_template/X.Makefile
/usr/local/share/lahelper/report_template/X.tex
/usr/local/share/lahelper/thesis_template/X.Makefile
/usr/local/share/lahelper/thesis_template/X.tex
/usr/local/share/lahelper/thesis_template/bibliography/my_bibliography.bib
/usr/local/share/lahelper/thesis_template/cover_pages/abstract.tex
/usr/local/share/lahelper/thesis_template/cover_pages/acknowledgement.tex
/usr/local/share/lahelper/thesis_template/cover_pages/approval.tex
/usr/local/share/lahelper/thesis_template/cover_pages/dedication.tex
/usr/local/share/lahelper/thesis_template/cover_pages/preface.tex
/usr/local/share/lahelper/thesis_template/cover_pages/title_page.tex
/usr/local/share/lahelper/thesis_template/cover_pages/vita.tex
/usr/local/share/lahelper/custom_report/X.Makefile
/usr/local/share/lahelper/custom_report/X.tex
/usr/local/share/lahelper/custom_report/custom_report.sty
/usr/local/share/lahelper/custom_report/README
/usr/local/share/lahelper/custom_report/analysis/README
/usr/local/share/lahelper/custom_report/bibliography/my_bibliography.bib
/usr/local/share/lahelper/custom_report/content/introduction.tex
/usr/local/share/lahelper/custom_report/content/summary.tex
/usr/local/share/lahelper/custom_report/content/topic_one.tex
/usr/local/share/lahelper/custom_report/cover_pages/acronym_list.tex
/usr/local/share/lahelper/custom_report/cover_pages/doc_version.tex
/usr/local/share/lahelper/custom_report/drawings/handy_shapes_and_colors.fig
/usr/local/share/lahelper/custom_report/images/company_logo.eps
/usr/local/share/lahelper/custom_report/images/README
/usr/local/share/lahelper/custom_report/tables/README
/usr/share/pixmaps/lahelper-logo.png
/usr/share/pixmaps/SGML-logo.png
/usr/share/gnome/apps/Utilities/lahelper.desktop
/usr/share/gnome/apps/Utilities/sgmlhelper.desktop
/usr/share/gnome/help/lahelper/C/topic.dat
/usr/share/gnome/help/lahelper/C/COPYING.html
/usr/share/gnome/help/lahelper/C/lahelper_user_manual.html
/usr/share/gnome/help/lahelper/C/lahelper.css
/usr/share/gnome/help/lahelper/C/getting_started.html
/usr/share/gnome/help/lahelper/C/make_document.html
/usr/share/gnome/help/lahelper/C/preferences.html
/usr/share/gnome/help/lahelper/C/graphics/lahelper-title.png
/usr/share/gnome/help/lahelper/C/screenshots/lahelper_gui.jpg
/usr/share/gnome/help/lahelper/C/screenshots/menubar.jpg
/usr/share/gnome/help/lahelper/C/screenshots/toolbar.jpg

%changelog
* Sat Nov 17 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Added new dependancies.  Updated for 0.6.2 version.

* Mon Nov 12 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Updated for the 0.6.1 version.

* Sun Nov 04 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Updated the file list to create the 0.6.0 version.

* Sat Nov 03 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Added the requirement of the sed package.  It is used to set up the
- document Makefile for the user.

* Sun Oct 28 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Added supporting files for the user's manual.  Added new files now
- distributed with lahelper.

* Tue Oct 23 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Added the user's manual and some document templates.

* Mon Jul 16 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Set up the 0.5.11 version.

* Wed Jun 13 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Set up the 0.5.10 version.

* Fri May 25 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Added a file containing the GPL.

* Sun Mar 25 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Updated the installed file list to account for the recent GNOME integration.

* Mon Mar 05 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Removed some of the documentation files that are no longer installed.

* Mon Feb 26 2001 Cornelius Brinegar <cbrinegar@users.sourceforge.net>
- Created this .spec file in an attempt to create rpm files.
